pg_free_result
pg_get_pid
PostgreSQL Functions
PHP Manual

# pg_get_notify

(PHP 4 >= 4.3.0, PHP 5)

pg_get_notify — Gets SQL NOTIFY message

### Description

array pg_get_notify ( resource `$connection` [, int `$result_type` ] )

pg_get_notify() gets notifications generated by a NOTIFY SQL command. To receive notifications, the LISTEN SQL command must be issued.

### Parameters

`connection`

  PostgreSQL database connection resource.

`result_type`

  An optional parameter that controls how the returned array is indexed. `result_type` is a constant and can take the following values: `PGSQL_ASSOC`, `PGSQL_NUM` and `PGSQL_BOTH`. Using `PGSQL_NUM`, pg_get_notify() will return an array with numerical indices, using `PGSQL_ASSOC` it will return only associative indices while `PGSQL_BOTH`, the default, will return both numerical and associative indices.

### Return Values

An array containing the NOTIFY message name and backend PID. Otherwise if no NOTIFY is waiting, then `FALSE` is returned.

### Examples

Example #1 PostgreSQL NOTIFY message

`<?php
$conn = pg_pconnect("dbname=publisher");
if (!$conn) {
echo "An error occured.\n";
exit;
}
// Listen 'author_updated' message from other processes
pg_query($conn, 'LISTEN author_updated;');
$notify = pg_get_notify($conn);
if (!$notify) {
echo "No messages\n";
} else {
print_r($notify);
}
?>`

### See Also

- pg_get_pid() - Gets the backend's process ID

pg_free_result
pg_get_pid
PostgreSQL Functions
PHP Manual